%{?nodejs_find_provides_and_requires}
Name:                nodejs-npmlog
Version:             2.0.0
Release:             1
Summary:             Logger for npm
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
License:             BSD
URL:                 https://github.com/isaacs/npmlog
Source0:             http://registry.npmjs.org/npmlog/-/npmlog-%{version}.tgz
BuildRequires:       nodejs-packaging
%description
The logger utility that npm uses.
This logger is very basic. It does the logging for npm. It supports custom
levels and colored output.

%prep
%setup -q -n package
%nodejs_fixdep ansi ^0.3.0

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/npmlog
cp -pr package.json log.js %{buildroot}%{nodejs_sitelib}/npmlog
%nodejs_symlink_deps

%files
%{nodejs_sitelib}/npmlog
%doc README.md example.js
%license LICENSE

%changelog
* Mon Aug 17 2020 wutao <wutao61@huawei.com> - 2.0.0-1
- Package init
